Bug 1458355 - Review Request: fedora-modular-repos - Fedora Modular package repositories
Summary: Review Request: fedora-modular-repos - Fedora Modular package repositories
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-02 16:18 UTC by Troy Dawson
Modified: 2017-06-06 18:30 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-06 18:30:41 UTC
sgallagh: fedora-review+


Attachments (Terms of Use)

Description Troy Dawson 2017-06-02 16:18:45 UTC
Spec URL: https://tdawson.fedorapeople.org/review/fedora-modular-repos.spec
SRPM URL: https://tdawson.fedorapeople.org/review/fedora-modular-repos-26-0.1.src.rpm
Description: Fedora modular repository files for yum and dnf along with gpg public keys
Fedora Account System Username: tdawson

Comment 1 Troy Dawson 2017-06-02 20:53:54 UTC
The spec file was missing %{dist}.  Here is the updated spec and srpm

Spec URL: https://tdawson.fedorapeople.org/review/fedora-modular-repos.spec
SRPM URL: https://tdawson.fedorapeople.org/review/fedora-modular-repos-26-0.1.fc26.src.rpm

Comment 2 Stephen Gallagher 2017-06-04 17:31:55 UTC
Summary: Package is approved.

The two errors reported below are shortcomings of the fedora-review tool, because it's not built to handle this exceptional case.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 10 files have
     unknown license. Detailed output of licensecheck in /dev/shm/1458355
     -fedora-modular-repos/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /etc/pki/rpm-gpg(fedora-
     repos), /etc/yum.repos.d(yum, fedora-repos)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[-]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)


Installation errors
-------------------
INFO: mock.py version 1.3.4 starting (python version = 3.6.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.3.4
INFO: Mock Version: 1.3.4
Finish: chroot init
INFO: installing package(s): /dev/shm/1458355-fedora-modular-repos/results/fedora-modular-repos-26-0.1.fc27.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 27 --disableplugin=local --setopt=deltarpm=false install /dev/shm/1458355-fedora-modular-repos/results/fedora-modular-repos-26-0.1.fc27.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: fedora-modular-repos-26-0.1.fc27.noarch.rpm
          fedora-modular-repos-26-0.1.fc27.src.rpm
fedora-modular-repos.noarch: W: spelling-error %description -l en_US dnf -> def, inf, DNA
fedora-modular-repos.noarch: W: spelling-error %description -l en_US gpg -> pg, gig, gag
fedora-modular-repos.noarch: W: no-documentation
fedora-modular-repos.noarch: W: non-conffile-in-etc /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-25-primary
fedora-modular-repos.noarch: W: non-conffile-in-etc /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-25-secondary
fedora-modular-repos.noarch: W: non-conffile-in-etc /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-26-primary
fedora-modular-repos.noarch: W: non-conffile-in-etc /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-26-secondary
fedora-modular-repos.noarch: W: non-conffile-in-etc /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-27-primary
fedora-modular-repos.noarch: W: non-conffile-in-etc /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-modularity
fedora-modular-repos.src: W: spelling-error %description -l en_US dnf -> def, inf, DNA
fedora-modular-repos.src: W: spelling-error %description -l en_US gpg -> pg, gig, gag
fedora-modular-repos.src:9: W: unversioned-explicit-provides fedora-modular-repos(%{version})
fedora-modular-repos.src: W: invalid-url Source0: fedora-modular-repos-26.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 13 warnings.




Diff spec file in url and in SRPM
---------------------------------
--- /dev/shm/1458355-fedora-modular-repos/srpm/fedora-modular-repos.spec	2017-06-04 13:19:31.713049907 -0400
+++ /dev/shm/1458355-fedora-modular-repos/srpm-unpacked/fedora-modular-repos.spec	2017-06-02 16:51:26.000000000 -0400
@@ -2,5 +2,5 @@
 Name:           fedora-modular-repos
 Version:        26
-Release:        0.1
+Release:        0.1%{?dist}
 License:        MIT
 URL:            https://pagure.io/fedora-modular-repos/


Requires
--------
fedora-modular-repos (rpmlib, GLIBC filtered):
    config(fedora-modular-repos)
    system-modular-release(26)



Provides
--------
fedora-modular-repos:
    config(fedora-modular-repos)
    fedora-modular-repos
    fedora-modular-repos(26)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1458355 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Gwyn Ciesla 2017-06-05 15:35:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/fedora-modular-repos


Note You need to log in before you can comment on or make changes to this bug.